Bug 1290376 - [GSS](6.4.z) [Root exception is java.lang.ClassNotFoundException: com.sun.jndi.ldap.LdapCtxFactory from [Module "org.jboss.ironjacamar.impl:main"
[GSS](6.4.z) [Root exception is java.lang.ClassNotFoundException: com.sun.jnd...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.7
Assigned To: Ivo Studensky
Martin Simka
:
Depends On:
Blocks: eap647-payload
  Show dependency treegraph
 
Reported: 2015-12-10 06:09 EST by Yogesh
Modified: 2017-01-17 06:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:59:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2617 Major Closed [Root exception is java.lang.ClassNotFoundException: com.sun.jndi.ldap.LdapCtxFactory from [Module "org.jboss.ironjacama... 2017-03-12 09:06 EDT
Red Hat Knowledge Base (Solution) 1591353 None None None 2016-03-07 17:25 EST

  None (edit)
Description Yogesh 2015-12-10 06:09:39 EST
Description of problem:
Warnings at server startup: 
WARN  [org.jboss.jca.core.connectionmanager.pool.strategy.PoolBySubject] [] (JCA PoolFiller) IJ000610: Unable to fill pool: javax.resource.ResourceException: Could not create connection

Root cause of the exception is displayed in the logs: 
[Root exc
eption is java.lang.ClassNotFoundException: com.sun.jndi.ldap.LdapCtxFactory from [Module "org.jboss.ironjacamar.impl:

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Create Oracle XA dataources.
2. set "prefill" option to true
3. Start JBoss 

Actual results:

Warnings gets disappear when dependency <module name="sun.jdk"/>
is added in the module 
"org.jboss.ironjacamar.impl"
Expected results:
There should not be any need to add the dependency manually. This dependency should be by default present in JBoss EAP.

Additional info:
Case NO. 01543295
Comment 3 Jiří Bílek 2016-03-04 09:24:51 EST
Verified with EAP 6.4.7.CP.CR2.
Comment 4 Petr Penicka 2017-01-17 06:59:53 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.